# schrankwand.py

from grafikfenster import *

from moebel import Moebel
from schrank import Schrank

### ---------------------------------------------------
class Schrankwand(Moebel):
    def __init__(self,
                 xPos=0,
                 yPos=0,
                 breite=60,
                 tiefe=37,
                 winkel=0,
                 farbe="black",
                 sichtbar=False):
        Moebel.__init__(self, xPos, yPos, breite, tiefe, winkel, farbe, sichtbar)
        self.__schrank1=Schrank(0,0,breite,tiefe,winkel,farbe,False)
        self.__schrank2=Schrank(breite,0,breite,tiefe,winkel,farbe,False)
        self.__schrank3=Schrank(2*breite,0,breite,tiefe,winkel,farbe,False)

    def GibFigur(self):
        """definiert die zu zeichnende Figur (Pfad)"""
        path = self.GibZeichenPfad()

        # b,t=self.GibBreite(), self.GibTiefe()
        # erster Schrank
##        path.AddRectangle(0, 0, b, t)
##        path.MoveToPoint(0, 0)
##        path.AddLineToPoint(b, t)
##        path.MoveToPoint(b, 0)
##        path.AddLineToPoint(0, t)
        path.AddPath( self.__schrank1.GibFigur() )

        # zweiter Schrank
##        path.AddRectangle(b, 0, b, t)
##        path.MoveToPoint(b, 0)
##        path.AddLineToPoint(2*b, t)
##        path.MoveToPoint(2*b, 0)
##        path.AddLineToPoint(b, t)
        path.AddPath( self.__schrank2.GibFigur() )

        # dritter Schrank
##        path.AddRectangle(2*b, 0, b, t)
##        path.MoveToPoint(2*b, 0)
##        path.AddLineToPoint(3*b, t)
##        path.MoveToPoint(3*b, 0)
##        path.AddLineToPoint(2*b, t)
        path.AddPath( self.__schrank3.GibFigur() )

        return self.Transformiere(path)

### ---------------------------------------------------
class SchrankwandApp(wx.App):
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.TestAnwendung()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        return True

    def TestAnwendung(self):
        # Allein fuer die Testanwendung:
        global schrankwand
        schrankwand=Schrankwand(40, 40, 60, 37, 0, 'black', True)
### ---------------------------------------------------
if __name__ == '__main__':
    app = SchrankwandApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
