# schrankwand.py

from grafikfenster import *

from moebel import Moebel
from schrank import Schrank

### ---------------------------------------------------
class Schrankwand(Moebel):
    def __init__(self,
                 anzahl=3,
                 xPos=0,
                 yPos=0,
                 schrankbreite=60,
                 tiefe=37,
                 winkel=0,
                 farbe="black",
                 sichtbar=False):
        Moebel.__init__(self, xPos, yPos, anzahl*schrankbreite, tiefe, winkel, farbe, sichtbar)
        # Wiederholungsstruktur benutzen
        self.__schraenke=[]
        for i in range(anzahl):
            self.__schraenke.append( Schrank(i*schrankbreite,0,schrankbreite,tiefe,winkel,farbe,False) )


    def GibFigur(self):
        """definiert die zu zeichnende Figur (Pfad)"""
        path = self.GibZeichenPfad()

        for schrank in self.__schraenke:
            path.AddPath( schrank.GibFigur() )

        return self.Transformiere(path)

### ---------------------------------------------------
class SchrankwandApp(wx.App):
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.TestAnwendung()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        return True

    def TestAnwendung(self):
        # Allein fuer die Testanwendung:
        global schrankwand
        schrankwand=Schrankwand(5, 40, 40, 60, 37, 0, 'black', True)
### ---------------------------------------------------
if __name__ == '__main__':
    app = SchrankwandApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
